UMOUNT.S3QL(1)

NAME
umount.s3ql - Unmount an S3QL file system

SYNOPSIS

umount.s3ql [options] <mount point>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The umount.s3ql command unmounts the S3QL file system mounted in the directory mount point and blocks until all data has been uploaded to the storage backend.

Only the user who mounted the file system with mount.s3ql is able to unmount it with umount.s3ql. If you are root and want to unmount an S3QL file system mounted by an ordinary user, you have to use the fusermount -u or umount command instead. Note that these commands do not block until all data has been uploaded, so if you use them instead of umount.s3ql then you should manually wait for the mount.s3ql process to terminate before shutting down the system.

OPTIONS

The umount.s3ql command accepts the following options.

--log <target>
    Destination for log messages. Specify none for standard output or syslog for the system logging daemon. Anything else will be interpreted as a file name. Log files will be rotated when they reach 1 MiB, and at most 5 old log files will be kept. Default: None

--debug-modules <modules>
    Activate debugging output from specified modules (use commas to separate multiple modules). Debug messages will be written to the target specified by the --log option.

--debug
    Activate debugging output from all S3QL modules. Debug messages will be written to the target specified by the --log option.

--quiet
    be really quiet

--version
    just print program version and exit

--lazy, -z
    Lazy umount. Detaches the file system immediately, even if there are still open files. The data will be uploaded in the background once all open files have been closed.

EXIT CODES

umount.s3ql may terminate with the following exit codes:

0   Everything went well.

1   An unexpected error occured. This may indicate a bug in the program.

2   Invalid command line argument or configuration file key.

SEE ALSO

The S3QL homepage is at https://github.com/s3ql/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>